Name:           minetestmapper
Version:        20170606
Release:        1%{?dist}
Summary:        Generates a overview image of a minetest map

License:        BSD
URL:            https://github.com/minetest/minetestmapper
Source0:        https://github.com/minetest/minetestmapper/archive/%{version}/minetestmapper-%{version}.tar.gz

BuildRequires:  gcc-c++, cmake, sqlite-devel, gd-devel, leveldb-devel, hiredis-devel, postgresql-devel

# Needs minetest for ownership of /usr/share/minetest if nothing else.
Requires:       minetest

# Minetest doesn't exist on ppc
ExcludeArch:    ppc64 ppc64le

%description
Generates a overview image of a minetest map. This is a port of
minetestmapper.py to C++, that is both faster and provides more
details than the deprecated Python script.

%prep
%autosetup -p1

%build
%cmake -DENABLE_LEVELDB=1 -DENABLE_REDIS=1 -DENABLE_POSTGRESQL=1
%make_build

%install
%make_install

# Install colors.txt into /usr/share/minetest.
mkdir -p %{buildroot}%{_datadir}/minetest
cp -a colors.txt %{buildroot}%{_datadir}/minetest/

# Remove extra files from pkgdocdir?
# Apparently, we can't use pkgdocdir here but have to use defaultdocdir/name,
# because EPEL docdirs are versioned.
rm -rf %{buildroot}%{_defaultdocdir}/%{name}

%files
%doc AUTHORS README.rst
%{_bindir}/minetestmapper
%{_datadir}/minetest/colors.txt
%{_mandir}/man6/minetestmapper.6*
%license COPYING

%changelog
* Wed Jun 07 2017 Ben Rosser <rosser.bjr@gmail.com> - 20170606-1
- Update to latest upstream release.
- Add ExcludeArch on ppc arches due to lack of minetest on them

* Sat Feb 04 2017 Ben Rosser <rosser.bjr@gmail.com> - 20161218-3
- Fixed EPEL docdir problem.

* Fri Jan 20 2017 Ben Rosser <rosser.bjr@gmail.com> - 20161218-2
- Add man page for minetestmapper written by dmoerner.
- Reference patches without using a URL.
- Use version macro in Source0 URL.

* Fri Jan  6 2017 Ben Rosser <rosser.bjr@gmail.com> - 20161218-1
- Initial package for Fedora.
